Page MenuHomePhabricator

[GSoC] Community Bonding Period report for Extension for page creating/editing notification
Closed, ResolvedPublic

Description

Community Bonding Period (April 22 - May 22)

Work Done

  • Created Community bonding evaluation report - T133773
  • Created Weekly Reports report - T135587
  • Created basic user page in mediawiki.org - User:Abhinand909
  • Understanding Extensions
  • Familiarising with Notification
    • Read through Developer_guide
    • Addition of new notification feature to the extension
    • The extension notifies the user when he/she visits the special page of the extension
  • Understand more about Hooks and how to use them
    • Read the manual on Hooks
    • Implemented page edit notification feature and understood the usage of hooks
    • Worked with Hook:PageContentSaveComplete
      • Learned to use revision to produce the desired notification

Communication Plan

  • Discussions takes place through Skype Call
  • Report Daily progress through hangouts
  • Use Email and hangouts to clear doubts and discuss about the project

Event Timeline

Abhinand created this task.May 18 2016, 7:00 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 18 2016, 7:00 AM
Abhinand renamed this task from [GSoC] Community Bonding Period report of Extension for page creating/editing notification to [GSoC] Community Bonding Period report for Extension for page creating/editing notification.May 18 2016, 7:01 AM
Abhinand updated the task description. (Show Details)May 18 2016, 11:37 AM
Abhinand updated the task description. (Show Details)May 30 2016, 1:26 PM

Please resolve this task as Complete.

Aklapper closed this task as Resolved.Jul 27 2016, 10:06 AM

Please resolve this task as Complete.

@Abhinand: I am closing this task as complete.

Thanks for that :)